#!/usr/bin/php
<?
chdir(dirname(__FILE__));
require_once('../nmail/include/global.php');
#require_once('sadmin_conf.inc.php');

// 웹상에서의 실행방지.
if ($_SERVER['DOCUMENT_ROOT'] || $_SERVER['SERVER_SOFTWARE'])
{
	die("Access Denied");	
}	// if()

// 입력값 확인.
if (!$_SERVER['argv'][1])
{
	die("메일서버에 도메인을 추가하는 명령입니다.\n웹메일의 [메일서버관리-도메인관리]에서 추가하는 것과 동일합니다.\n  사용방법) ".$_SERVER['PHP_SELF']." \"DOMAIN\"\n");
}	// if()
$_SERVER['argv'][1] = strtolower($_SERVER['argv'][1]);

// check
	// 중복여부 체크
	$d_name_cnt = db_get_one("
			SELECT 
				COUNT(*) 
			FROM 
				" . $TB['DOMAIN'] . "
			WHERE 
				d_name='" . $_SERVER['argv'][1] . "'
			");
	if ($d_name_cnt > 0)
		die("추가실패 : 이미 추가된 도메인입니다.\n=> " . $_SERVER['argv'][1] . "\n");

	$d_name_cnt = db_get_one("
			SELECT 
				COUNT(*) 
			FROM 
				" . $TB['DOMAIN_ALIAS'] . "
			WHERE 
				da_name='" . $_SERVER['argv'][1] . "'
			");
	if ($d_name_cnt > 0)
		die("추가실패 : 이미 앨리어스 도메인으로 등록되어 있습니다.\n도메인을 추가하려면 앨리어스 도메인을 먼저 삭제해야 합니다.\n=> " . $_SERVER['argv'][1] . "\n");

// [2006-03-08] 메일서버가 동작중인지 확인
	require_once('include/admin_lib.php');
	mail_server_check_limit();		

// data
	$_POST['d_name'] = $_SERVER['argv'][1];
	$_POST['d_is_use'] = 'Y';
	$_POST['d_quota'] = $G_SYS[MAIL_DOMAIN_DEFAULT_SIZE];
	$_POST['d_quota_mbr_default'] = $G_SYS[MAIL_DEFAULT_SIZE];
	$_POST['d_quota_mbr_count'] = $G_SYS[MBR_DEFAULT_COUNT];

	to_db_str(&$_POST['d_name'], 255);
	to_db_str(&$_POST['d_is_use'], 1);
	to_db_str(&$_POST['d_quota'], 10);
	to_db_str(&$_POST['d_quota_mbr_default'],	10);
	to_db_str(&$_POST['d_quota_mbr_count'],	10);
	to_db_str(&$_POST['d_memo'], $G_SYS['DB_TEXT']);

	$_POST['d_regdate'] = date('Y-m-d H:i:s');

	// 도메인 추가
		$sql = "
			INSERT INTO
				" .	$TB['DOMAIN']	. "
				( d_no , d_name , d_is_use ,	d_quota ,	d_quota_mbr_default ,	d_quota_mbr_count, d_memo, d_regdate )
			VALUES
				( ".db_sqc_next($TB['DOMAIN']).", '" . $_POST['d_name'] . "', '" .	$_POST['d_is_use'] . "', '"	. $_POST['d_quota'] .	"',	'" . $_POST['d_quota_mbr_default'] . "', '" . $_POST['d_quota_mbr_count'] . "', '" . $_POST['d_memo'] . "' , '" . $_POST['d_regdate'] . "' )
			";
		db_query($sql);
		$curr_d_no = db_sqc_curr($TB['DOMAIN']);		// 삽입된 데이타 키

	// 웹메일용 처리.
		require_once('include/admin_lib.php');
		domain_add($curr_d_no, $_POST['d_name']);

// end
	echo("추가되었습니다.\n");


// [2009-06-26] 설치프로그램 보완
	if ($_SERVER['argv'][2] == 'FROM_INSTALL')
		echo '__NMAIL_PHP_INSTALL_EXEC_OK__';

?>